4Suite™ API Documentation

# ► Module Ft.Server.Server.Xslt.Http

XSLT and XPath extensions for use to access the 4SS API
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: RequestHeadersElement, ResponseUriElement |  |  |  | Functions: GetQueryArguments, LocalPath, LocalUri |  |  |  | Fields: ExtElements, ExtFunctions, HTTP_NS, RESERVED_NAMESPACE

## Classes

class RequestHeadersElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {}

### Fields

class ResponseUriElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'uri': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

## Functions

GetQueryArguments(context)
fhttp:get-query-args() returns a node-set consisting of one 'requestParameters' element, containing one child element for each item in the HTTP request parameters, a.k.a. the query arguments (typically HTML form data).
The HTTP server will have already decoded the parameters
and made them available to the XSLT processor; this
function merely provides access to that data as a
node-set. The parameter name becomes the element name,
and the value is the element's content. If there are
multiple parameters with the same name, they'll manifest
as separate elements.
LocalPath(context, path)
Given a repo path, returns a repo path that is relative to the HTTP handler's document root, if possible. Otherwise, returns the given path unchanged.
LocalUri(context, uri)
Given an ftss URI, returns a URI reference. The reference will be relative to the HTTP handler's document root.

## Fields

ExtElements = {('http://xmlns.4suite.org/4ss/http', 'request-headers'): <class Ft.Server.Server.Xslt.Http.RequestHeadersElement>, ('http://xmlns.4suite.org/4ss/http', 'response-uri'): <class Ft.Server.Server.Xslt.Http.ResponseUriElement>}
ExtFunctions = {('http://xmlns.4suite.org/4ss/http', 'get-query-args'): <function GetQueryArguments>, ('http://xmlns.4suite.org/4ss/http', 'local-path'): <function LocalPath>, ('http://xmlns.4suite.org/4ss/http', 'local-uri'): <function LocalUri>}
HTTP_NS = 'http://xmlns.4suite.org/4ss/http'
RESERVED_NAMESPACE = 'http://xmlns.4suite.org/reserved'